Change in osmo-dev[master]: run.sh: more userfriendly "stale configs" message

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Mon Feb 11 09:29:48 UTC 2019


osmith has submitted this change and it was merged. ( https://gerrit.osmocom.org/12733 )

Change subject: run.sh: more userfriendly "stale configs" message
......................................................................

run.sh: more userfriendly "stale configs" message

Make the message easy to understand at first glance, print what needs to
be done to regenerate the configs. Add an empty line before listing the
stale file that has been found, so it stands out from the (at this
point) less relevant path listings. It looks like the following now:

$ ./run.sh
using config file '/home/user/code/osmo-dev/net/config_2g3g_osmith'
on templates '/home/user/code/osmo-dev/net/tmpl_std'
with NET_DIR '/home/user/code/osmo-dev/net/osmith'

Stale: '/home/user/code/osmo-dev/net/tmpl_std/run.sh' is newer than 'run.sh'

WARNING: STALE CONFIGS - your net configs are older than the templates they should be based on!
 * Hit enter to continue, and use the stale config files
 * Hit ^C and run 'make regen' to regenerate your configs

Change-Id: If225e094619a07a228e0e2f337153ee18cdb420c
---
M net/fill_config.py
M net/tmpl_std/run.sh
2 files changed, 9 insertions(+), 1 deletion(-)

Approvals:
  Neels Hofmeyr: Looks good to me, approved
  osmith: Verified



diff --git a/net/fill_config.py b/net/fill_config.py
index e97dab7..5374d62 100755
--- a/net/fill_config.py
+++ b/net/fill_config.py
@@ -96,6 +96,7 @@
 
 def check_stale(src_path, target_path):
   if file_newer(src_path, target_path):
+    print()
     print('Stale: %r is newer than %r' % (src_path, target_path))
     exit(1)
 
diff --git a/net/tmpl_std/run.sh b/net/tmpl_std/run.sh
index f31330b..03f75c1 100755
--- a/net/tmpl_std/run.sh
+++ b/net/tmpl_std/run.sh
@@ -1,5 +1,12 @@
 #!/usr/bin/env bash
-../fill_config.py --check-stale || ( echo "STALE CONFIGS. Hit enter to continue anyway."; read enter_to_continue )
+
+if ! ../fill_config.py --check-stale; then
+	echo
+	echo "WARNING: STALE CONFIGS - your net configs are older than the templates they should be based on!"
+	echo " * Hit enter to continue, and use the stale config files"
+	echo " * Hit ^C and run 'make regen' to regenerate your configs"
+	read enter_to_continue
+fi
 
 dev="${ETH_DEV}"
 ip2="${PUBLIC_IP2}"

-- 
To view, visit https://gerrit.osmocom.org/12733
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: If225e094619a07a228e0e2f337153ee18cdb420c
Gerrit-Change-Number: 12733
Gerrit-PatchSet: 3
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190211/283d1c55/attachment.htm>


More information about the gerrit-log mailing list